Update workspace roles

View as Markdown
Updates the roles of users, [user groups](https://learning.postman.com/docs/collaborating-in-postman/user-groups/), or partners in a workspace. To get a list of roles, use the GET `/workspace-roles` endpoint. To get a group ID, use the GET `/groups` endpoint. **Note:** - User groups are available on Postman [**Enterprise** plans](https://www.postman.com/pricing). - To use SCIM IDs for users and user groups, include the `identifierType=scim` header when you call this endpoint. To get SCIM user IDs, include the `include=scim` query parameter when calling the GET `/workspaces/{workspaceId}` or GET `/workspaces` endpoints. - You can't set roles for users in personal workspaces. - This endpoint doesn't support the external [Guest role](https://learning.postman.com/docs/collaborating-in-postman/roles-and-permissions/#team-roles). - The partner **Editor** and **Editor and Partner Lead** roles aren't supported in multi-partner workspaces. - You can't update partner and user roles in the same operation. - This endpoint is restricted to 50 operations per call. - The request body must contain one unique action per user, user group, or partner. For example, you cannot add and remove multiple roles for a user in the same request body.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

workspaceIdstringRequired
The workspace's ID.

Headers

identifierTypestringOptional
Use SCIM user IDs instead of Postman user IDs.

Request

This endpoint expects an object.
roleslist of objectsOptional

Response

Successful Response
roleslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error